Bug 817580 - (CVE-2012-1820) CVE-2012-1820 quagga (bgpd): Assertion failure by processing BGP OPEN message with malformed ORF capability TLV (VU#962587)
CVE-2012-1820 quagga (bgpd): Assertion failure by processing BGP OPEN message...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120603,reported=2...
: Security
Depends On: 829266 845528 845529
Blocks: 738408
  Show dependency treegraph
 
Reported: 2012-04-30 10:39 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 12:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fixing patch (3.24 KB, patch)
2012-06-06 07:10 EDT, Denis Ovsienko
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-04-30 10:39:21 EDT
A denial of service flaw was found in the way Quagga's bgpd daemon processed certain OPEN messages. A configured Border Gateway Protocol (BGP) peer could send a BGP OPEN message with specially-crafted value of the Outbound Route Filtering (ORF) capability Type/Length/Value (TLV) triplet, which would cause the master BGP daemon (bgpd) to abort with an assertion failure by processing of such a message. Also, all BGP sessions established by the attacked router would be closed and its BGP routing disrupted.
Comment 2 Jan Lieskovsky 2012-04-30 10:49:02 EDT
This issue affects the version of the quagga package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the quagga package, as shipped with Fedora release of 15 and 16.
Comment 5 Jan Lieskovsky 2012-06-06 06:50:53 EDT
US-CERT Vulnerability Note VU#962587:
[1] http://www.kb.cert.org/vuls/id/962587
Comment 6 Jan Lieskovsky 2012-06-06 06:53:31 EDT
Created quagga tracking bugs for this issue

Affects: fedora-all [bug 829266]
Comment 7 Denis Ovsienko 2012-06-06 07:10:40 EDT
Created attachment 589837 [details]
fixing patch

Attached is a copy of the original fix: https://github.com/Quagga-RE/quagga-RE/commit/790d1e263e8800bc49d0038d481591ecb4e37b88
Comment 8 Fedora Update System 2012-06-19 10:55:42 EDT
quagga-0.99.21-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-06-19 11:02:00 EDT
quagga-0.99.20.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-06-19 11:07:39 EDT
quagga-0.99.21-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2012-09-12 16:06:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1259 https://rhn.redhat.com/errata/RHSA-2012-1259.html
Comment 14 Murray McAllister 2012-09-12 22:56:27 EDT
Acknowledgements:

Red Hat would like to thank the CERT/CC for reporting this issue. The CERT/CC acknowledges Denis Ovsienko as the original reporter.

Note You need to log in before you can comment on or make changes to this bug.